Entire Class Index | Main Class Index | Cross Index | Global Index

# Class CL_SlotBuffer_v0

Slot Buffer V0 Class
Contained in: global
Derived from: none
Derived by: none
Group: Signal (System)

#include <ClanLib/signals.h>

### public function member index:

### Construction:

`` | `CL_SlotBuffer_v0` | `()`;
`` | `CL_SlotBuffer_v0` | `(`CL_Signal_v0`& `signal`)`;

### Attributes:

``operator`` | `bool` | `()`;
``int`` | `size` | `()`;

### Operations:

``void`` | `connect` | `(`CL_Signal_v0`& `signal`)`;
``void`` | `disconnect` | `(`CL_Signal_v0`& `signal`)`;

### private function member index:

### Implementation:

``void`` | `callback` | `()`;

## Description:

## Function Member Descriptions:

CL_SlotBuffer_v0::CL_SlotBuffer_v0 - Slot Buffer V0 Constructor
`` `CL_SlotBuffer_v0` `()`;

CL_SlotBuffer_v0::CL_SlotBuffer_v0 - Slot Buffer V0 Constructor
`` `CL_SlotBuffer_v0` `(`CL_Signal_v0`& `signal`)`;

CL_SlotBuffer_v0::bool - Bool
``operator`` `bool` `()`;

CL_SlotBuffer_v0::connect - Connect
``void`` `connect` `(`CL_Signal_v0`& `signal`)`;

CL_SlotBuffer_v0::disconnect - Disconnect
``void`` `disconnect` `(`CL_Signal_v0`& `signal`)`;

CL_SlotBuffer_v0::size - Size
``int`` `size` `()`;

## Variable Member Descriptions: